const ed11yLang={en:{toggleAccessibilityTools:"Toggle accessibility tools",toggleDisabled:"Editorially is disabled.",panelCount0:"No issues detected.",panelCountAllDismissed:"All issues hidden.",panelCount1:"One issue detected.",panelCountMultiple:" issues detected.",panelCountBase:"<span class='count'>No</span> <span class='content-type'>issues detected</span>.",panelControls:"Editorially panel controls",buttonIssuesContent:"Issues",buttonOutlineContent:"Outline",buttonAltsContent:"Alt Text",buttonAboutTitle:"About this tool",buttonPrevContent:"Previous",buttonFirstContent:"First",buttonNextContent:"Next",buttonShowHiddenAlertsContent:"Show hidden alerts",panelCheckOutline:"<p>Check that this forms <a href='https://accessibility.princeton.edu/how/content/headings'>a complete outline</a>:</p>",panelCheckAltText:"<p>Check <a href='https://accessibility.princeton.edu/how/content/alternative-text'>alt text</a>, <a href='https://accessibility.princeton.edu/how/content/images-text'>images of text</a>, &amp; <a href='https://webaim.org/techniques/captions/'>captions</a>.</p>",panelHelp:`
    <p>Assistive technologies and search engine crawlers work best with well-structured content. <a href="https://itmaybejj.github.io/editoria11y/demo/">Editoria11y</a> checks for common needs, such as descriptive image alternative text, meaningful heading outlines and well-named links.</p>
    <p>Note that it <strong>only</strong> checks the editorial content; different tools and techniques are needed to <a href='https://webaim.org/resources/evalquickref/'>test the design and code</a>.<p>
    <p>Have a bug or feature request? <a href='https://github.com/itmaybejj/editoria11y/issues' class='ed11y-small'>Contact the Editoria11y maintainers</a>.</p>
    `,altLabelPrefix:"Alt text: ",errorAltMissing:"(missing!)",errorAltNull:"(none; image marked as decorative)",errorOutlinePrefixSkippedLevel:"(flagged for skipped level) ",errorOutlinePrefixHeadingEmpty:"(empty heading)",errorOutlinePrefixHeadingIsLong:"(flagged for length) ",consoleNotSupported:"This browser can not run Editoria11y.",jumpedToInvisibleTip:"The marked item may not be visible. Look for it inside the outlined container.",jumpedToAriaHiddenTip:"The item with this issue may be invisible or off screen.",suspiciousWords:["image of","graphic of","picture of","placeholder","photo of"],linksUrls:["http:/","https:/",".asp",".htm",".php",".edu/",".com/"],linksMeaningless:/learn|to|more|now|this|page|link|site|website|check|out|view|our|read|download|form|here|click|\.|,|:|>|<|\s/g,linkStringsNewWindows:/window|tab|download|file/g,toggleManualCheck:"manual check needed",toggleAlert:"alert",toggleAriaLabel:(e,t)=>`Accessibility issue ${e}, `+t,dismissOkButtonContent:"Mark as Checked and OK",dismissOkButtonTitle:"Dismisses alert for all editors",dismissHideButtonContent:"Hide alert",dismissHideButtonTitle:"Dismisses alert for you",elementDismissalHelpOK:`
    "Mark as checked and OK" hides this alert on this page, for all site editors. The alert may reappear if the page's content changes, or if any editor presses "show hidden alerts" for this page.
    `,elementDismissalHelpHide:`
    "Hide alert" hides this alert on this page, for you alone. The alert may reappear if the page content changes or if you switch devices.
    `,elementDismissalHelpAll:"To dismiss an alert site-wide, have an administrator adjust the configuration options to ignore this element.",headingExample:`
        <ul>
            <li>Heading level 1
                <ul>
                    <li>Heading level 2: a topic
                        <ul><li>Heading level 3: a subtopic</li></ul></li>
                    <li>Heading level 2: a new topic</li>
                </ul>
            </li>
        </ul>`,headingLevelSkipped:{title:"Manual check: was a heading level skipped?",tip:(e,t)=>`<p>Headings and subheadings are the page's table of contents. The <em>numbers</em> indicate indents, in a nesting relationship:</p>
            ${Ed11y.M.headingExample}
            <p>This heading skipped from level ${e} to level ${t}. From a screen reader, this sounds like content is missing.</p>
            <p>To fix: adjust levels to form an accurate outline, without gaps.</p>
            `},headingEmpty:{title:"Heading tag without any text",tip:()=>`<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>
            ${Ed11y.M.headingExample}
            <p>"Blank" headings create confusing gaps in this outline: they could mean the following content is still part of the previous section, or that the text was unpronounceable for some reason.</p>
            <p><strong>To fix:</strong> add text to this heading, or remove it.</p>
            `},headingIsLong:{title:"Manual check: long heading",tip:()=>`<p>Headings should be brief and clear. Assistive devices use them to create a navigable table of contents for the page. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>  
            ${Ed11y.M.headingExample}
            <p><strong>To fix:</strong> shorten this heading if possible, or remove the heading style if it was only applied to this text to provide visual emphasis.</p>
            `},blockquoteIsShort:{title:"Manual check: is this a blockquote?",tip:()=>"<p>Blockquote formatting tells screen readers that the text should be announced as a quotation. This was flagged because short blockquotes are sometimes actually headings. If this is a heading and not a quotation, please use heading formatting instead, so this appears in the page outline.</p>"},altAttributeExample:`<p>Note that a good alt conveys what an image <strong>communicates</strong>, not what it <strong>contains</strong>. A picture of a child kicking a ball might have been selected because of the setting, the child, the kick or the ball:</p>
            <ul>
                <li>Child happily kicking a ball on a summer day</li>
                <li>A.J. playing in the new team uniform</li>
                <li>A.J.'s game-winning kick curved in from the left sideline!</li>
                <li>The "medium" ball is the right size for this 9-year-old child</li>
            </ul>`,altAttributeProvided:e=>`<p>This image's alt text is: "<strong>${e}</strong>"</p>`,altMissing:{title:"Image has no alternative text attribute",tip:()=>`<p>When screen readers encounter an image with no alt attribute at all, they dictate the url of the image file instead, often one letter at a time.
            To fix: either add an empty alt (alt="") to indicate this image should be ignored by screen readers, or add descriptive alt text.</p>
            `+Ed11y.M.altAttributeExample},altNull:{title:"Manual check: image has no alt text",tip:()=>`<p>Screen readers assume images with empty alt text are only for decoration (spacers and backgrounds), and do not mention they exist. If this image is meaningful, an alt should be provided.</p>
            `+Ed11y.M.altAttributeExample},altURL:{title:"Image's text alternative is a URL",tip:e=>`<p>Please set this image's alternative text to a concise description of what this image means in this context.</p>
            ${Ed11y.M.altAttributeExample}
            `+Ed11y.M.altAttributeProvided(e)},altURLLinked:{title:"Linked image's text alternative is a URL",tip:e=>`<p>When a link includes an image, the image's alt text becomes part of the link text announced by screen readers.
            Links should clearly and concisely describe their destination; a URL (usually pronounced by the screen reader one letter at a time) does not.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "H T T P S colon forward slash forward slash example dot com forward slash aye bee oh you tee you ess</li>
            </ul>
            `+Ed11y.M.altAttributeProvided(e)},altImageOf:{title:"Manual check: possibly redundant text in alt",tip:e=>`<p>Screen readers <strong>announce</strong> they are describing an image when reading alt text, so 
            phrases like "image of" and "photo of" are usually redundant, sounding like "this image's alt is the alt of an image."</p>
            <p>Note the sometimes the phrase is not redundant and should be kept, because the image is an image of an image:</p>
            <ul><li>Redundant: "image of a VHS tape"</li>
            <li>Relevant: "image of a VHS tape being shown in history class"</li></ul>
            `+Ed11y.M.altAttributeProvided(e)},altImageOfLinked:{title:"Manual check: possibly redundant text in linked image",tip:e=>`<p>Links should clearly and concisely describe their destination. Since words like "image," "graphic" or "photo" are redundant in text alternatives (screen readers already identify the image as an image), they often indicate that the image's text alternative is describing the image instead of the link.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "Stock photo of five people jumping and high fiving around a conference table, image"</li>
            </ul>
            <hr>
            `+Ed11y.M.altAttributeProvided(e)},altDeadspace:{title:"Image's text alternative is unpronouncable",tip:e=>`<p>This image's alt only contains characters which are not spoken by screen readers. The presence of an image will be announced, but its description of will be unintelligible.</p>
        <p>To fix: add a descriptive alt, or provide a <em>completely</em> empty alt (alt="") to tell screen readers to ignore this image.</p>
            ${Ed11y.M.altAttributeExample}
            `+Ed11y.M.altAttributeProvided(e)},altDeadspaceLinked:{title:"Linked Image's text alternative is unpronouncable",tip:e=>`<p>This image's alt consists of only silent characters (spaces and quotation marks). It will be announced by screen readers as as part of the link's text, but the description of what the image is will be unintelligible. Please set this image's alternative text to something that describes the link's destination, or provide a <em>completely</em> empty alt (alt="") if the image should not be mentioned at all.</p>
            <ul>
                <li>Good link text: "About us"</li>
                <li>Bad link text: "About us, image: [short confusing silence]"</li>
            </ul>
            `+Ed11y.M.altAttributeProvided(e)},altEmptyLinked:{title:"Linked Image has no alt text",tip:()=>`<p>When a link is wrapped around an image, the image's alt text provides the link's title for screen readers</p>
        <p>Please set this image's alternative text to something that describes the link's destination, or add text to the link.</p>
            <ul>
                <li>Good linked alt: "Meaningful link tips"</li>
                <li>Bad linked alt: "Three happy dogs rolling in the grass"</li>
            </ul>
            `},altLong:{title:"Manual check: very long alternative text",tip:e=>`<p>Image text alternatives are announced by screen readers as a single run-on sentence; listeners must listen to the entire alt a second time if they miss something. It is usually better to provide and reference a <em>visible</em> text alternative for complex images that need long descriptions. For example:</p>
            <ul><li>"Event poster; details provided in caption"</li>
            <li>"Chart showing our issues going to zero; details follow in table"</li></ul>
            ${Ed11y.M.altAttributeProvided(e)}
            `},altLongLinked:{title:"Manual check: very long alternative text in linked image",tip:e=>`<p>The alt text on a linked image is used to describe the link destination. Links should be brief, clear and concise, as screen reader users often listen to the list of links on the page to find content of interest. Long alternative text inside a link often indicates that the image's text alternative is describing the image instead rather than the link.</p>
            ${Ed11y.M.altAttributeProvided(e)}
            `},altPartOfLinkWithText:{title:"Manual check: link contains both text and an image",tip:e=>`<p>When a link includes an image, screen readers speak the the image's alt text as part of the link.
            This can be confusing if the image's alt describes the image rather than the link.</p>
            <p>E.g., for a card-style link with both text and a stock photo, compare:</p>
            <ul>
                <li>"Link, five people jumping and high fiving around a conference table, image, about us"</li>
                <li>"Link, about us"</li>
            </ul>
            ${Ed11y.M.altAttributeProvided(e)}
            <p>If this link is clearer without this alt, it may be better to use a blank alt, to tell screen readers to ignore the image.</p>
            `},linkNoText:{title:"Link with no accessible text",tip:()=>`<p>This link is either invisible and empty (e.g., a linked space character), or wrapped around something with no text alternative (an image with no alt attribute).</p>
            <p>Screen readers will either pause with an uninformative silence when they reach this link: <br>"Link, [...awkward pause where the link title should be...],"<br>or spell out the URL, character by character: <br>"Link, H-T-T-P-S forward-slash forward-slash example dot com"</p>
            <p>To fix: add text if this should be a link, or delete it if it should not.</p>`},linkTextIsURL:{title:"Manual check: is this link text a URL?",tip:e=>`<p>Links should be meaningful and concise. Readers often skim by link titles. This is especially true of screen reader users, who navigate using a list of on-page links.</p>
         <p>A linked URL breaks this pattern; the reader has to read the preceding paragraph to figure out the link's purpose from context.</p>
            <ul>
                <li>Meaningful and concise link: "Tips for writing meaningful links"</li>
                <li>Linked URL, as pronounced by a screen reader: "H T T P S colon forward-slash forward-slash example dot com forward-slash tips forward-slash meaningful-links"</li>
            </ul>
                <p>This link's text is:<br> <strong>${e}</strong></p>
                `},linkTextIsGeneric:{title:"Manual check: is this link meaningful and concise?",tip:e=>`<p>Readers skim for links. This is especially true of screen reader users, who navigate using a list of on-page links.</p>
                <p>Generic links like "click here," "read more" or "download" expect the reader be reading slowly and carefully, such that they figure out each link's purpose from context for themselves. Few readers do this, so click-through rates on meaningless links are extremely poor.</p>
                <ul><li>Not meaningful: "To learn more about meaningful links, <a href="https://www.google.com/search?q=writing+meaningful+links">click here</a>.</li>
                <li>Not concise: "<a href="https://www.google.com/search?q=writing+meaningful+links">Click here to learn more about meaningful links</a>"</li>
                <li>Ideal: "Learn about <a href="https://www.google.com/search?q=writing+meaningful+links">meaningful links"</a></strong></li></ul>
                <p>This link's text is: <strong>${e}</strong></p>`},linkDocument:{title:"Manual check: is the linked document accessible?",tip:()=>`<p>This automated checker helps ensure <strong><em>websites</em></strong> contain the features needed for accessible content, things like heading structure and text alternatives for images and audio. <strong>It is not able to help you check the documents you link.</strong></p>
                <p>Most mobile and assistive device users prefer to read text on Web pages, where content reflows to fit the screen. If the document linked here cannot be converted to a Web page, please manually check its structure (headings, lists, table headers) and image alt text.</p>
                <ul>
                    <li>Tips for <a href='https://webaim.org/techniques/word/'>MS Word</a> &amp; <a href="https://support.google.com/docs/answer/6199477?hl=en&ref_topic=6039805">Google Docs</a></li>
                    <li><a href='https://webaim.org/techniques/powerpoint/'>Slideshows</a> &amp; <a href='https://support.microsoft.com/en-us/office/make-your-excel-documents-accessible-to-people-with-disabilities-6cc05fc5-1314-48b5-8eb3-683e49b3e593'>Spreadsheets</a>
                    <li><a href='https://webaim.org/techniques/acrobat/'>Documents formatted for print instead of screens (PDF)</a></li>
                </ul>`},linkNewWindow:{title:"Manual check: is opening a new window expected?",tip:()=>`<p>Readers can always choose to open a link a new window. When a link forces open a new window, it can be confusing and annoying, especially for assistive device users who may wonder why their browser's "back" button is suddenly disabled.</p>
                <p>There are two general exceptions:</p>
                <ul>
                    <li>When the user is filling out a form, and opening a link in the same window would cause them to lose their work.</li>
                    <li>When the user is clearly warned a link will open a new window.</li>
                </ul>
                <p>To fix: set this link back its default target, or add a screen-reader accessible warning (text or an icon with alt text).</p>
                `},tableNoHeaderCells:{title:"Table has no header cells",tip:()=>`
                <p>Tables are announced by screen readers as navigable data sets. Screen readers repeat row and column headers as needed to orient users while reading content cells.</p>
                <p>To fix:</p>
                <ul><li>If this table contains information that is meaningfully organized by row and column, edit the table's properties and specify whether the headers are in the first row, column or both.</li>
                <li>If this table does not contain rows and columns of data, but is simply being used for visual layout, it would be best to remove it. Tables overflow the page rather than reflowing the text to fit on mobile devices, and should only be used when horizontal relationships are necessary to understand the content.</li></ul>
            `},tableContainsContentHeading:{title:"Content heading inside a table",tip:()=>`<p>Content headings ("Heading 1", "Heading 2") form a navigable table of contents for screen reader users,  
        labelling all content <strong>until the next heading</strong>. Table headers label specific columns or rows within a table.</p> 
            <p></p>
            <table><tr><th>1</th><th>2</th><th>3</th><td rowspan="2">To illustrate: a <strong>table</strong> header in cell 2 would only label its column: cell B. <br><br>
            A <strong>content</strong> heading in cell 2 would label all subsequent text, reading from left to right: cells 3, A, B and C, as well as this text!</td></tr>
            <tr><td>A</td><td>B</td><td>C</td></table>
            <p>To fix: remove heading formatting on text inside table cells.</p>
            `},tableEmptyHeaderCell:{title:"Empty table header cell",tip:()=>`
                <p>When exploring tables, screen readers repeat table header cells as needed to orient users. 
                Without headers, it is very easy to get lost; screen reader users have to count columns and rows and try to remember which columns went with which rows.</p>
                <p>To fix: make sure each header cell in this table contains text.</p>
            `},textPossibleList:{title:"Manual check: should this have list formatting?",tip:e=>`<p>List formatting is structural:</p> 
            <ol><li>List formatting indents and reflows on overflow. Text aligns vertically with text, rather than the "${e}"</li>
            <li>Lists are machine-readable. Screen readers can orient their users, announcing this as "list item, 2 of 2."</li></ol>
            <p>3. Whereas this unformatted item (just a number, typed as text) is not visually or audibly included in the list.</p>
            <p>To fix: if this "${e}" starts a list, replace it with list formatting.</p>
            `},textPossibleHeading:{title:"Manual check: should this be a heading?",tip:()=>`<p>Headings and subheadings create a navigable table of contents for assistive devices. The heading's <strong><em>number</em></strong> indicates its <strong><em>depth</em></strong> in the page outline; e.g.:</p>
            ${Ed11y.M.headingExample}
            <p>If this all-bold text is functioning visually as a heading, please replace the bold formatting with the appropriately numbered heading.</p>
            `},textUppercase:{title:"Manual check: is this uppercase text needed?",tip:()=>`<p>UPPERCASE TEXT CAN BE MORE DIFFICULT TO READ FOR MANY PEOPLE, AND IS OFTEN INTERPRETED AS SHOUTING.</p>
         <p>Consider using sentence case instead, and using bold text or font changes for visual emphasis, or structural formatting like headings for emphasis that will also be announced by screen readers.</p>`},embedVideo:{title:"Manual check: is this video accurately captioned?",tip:()=>`<p>If a recorded video contains speech or meaningful sounds, it must provide captioning.</p>
            <p>Note that automatic, machine-generated captions must be proofread, and speaker identifications must be added, before being considered an equal alternative.</p>`},embedAudio:{title:"Manual check: is an accurate transcript provided?",tip:()=>`<p>If this audio contains speech, a text alternative must be provided on this page or linked.</p>
            <p>Note that automatic, machine-generated transcripts must be proofread, and speaker identifications must be added, before being considered an equal alternative</p>`},embedVisualization:{title:"Manual check: is this visualization accessible?",tip:()=>`<p>Visualization widgets are often difficult or impossible for assistive devices to operate, and can be difficult to understand for readers with low vision or colorblindness.</p>
            <p>Unless this particular widget has high visual contrast, can be operated by a keyboard and described by a screen reader, assume that an alternate format (text description, data table or downloadable spreadsheet) should also be provided.</p>`},embedTwitter:{title:"Manual check: is this embed a keyboard trap?",tip:()=>`<p>If embedded feeds are set to show a high number of items, keyboard users may have to click the tab key dozens or hundreds of times to exit the component.</p>
            <p>Check to make sure only a small number of items auto-load immediately or while scrolling. Having additional items load on request ("show more") is fine.</p>`},embedCustom:{title:"Manual check: is this embedded content accessible?",tip:()=>"<p>Please make sure images inside this embed have alt text, videos have captions, and interactive components can be <a href='https://webaim.org/techniques/keyboard/'>operated by a keyboard</a>.</p>"}}};class Ed11yElementAlt extends HTMLElement{constructor(){super()}connectedCallback(){if(!this.initialized){const n=this.attachShadow({mode:"open"});let e=document.createElement("div");e.setAttribute("class","wrapper");var i=Ed11y.imageAlts[this.dataset.ed11yImg];let t=document.createElement("span");t.textContent=i[2],t.classList.add(i[3]),e.appendChild(t);const s=document.createElement("style");s.textContent=Ed11y.baseCSS+`
        :host {
          position: absolute;
        }
        div {
          position: absolute;
          bottom: 0;
          left:0;
          right:0;
        }
        span {
          background: ${Ed11y.color.primary}f3;
          color: ${Ed11y.color.primaryText};
          z-index: ${Ed11y.options.buttonZIndex-1};
          font-weight: 500;
          padding: 6px;
          position: absolute;
          bottom: 12px;
          left: 0;
          right: 0;
          box-shadow: 0 1px, 0 -1px; 
        }
        .warning { background: ${Ed11y.color.warning}; color: #111;}
        .error { background: ${Ed11y.color.bgHighlight};}
      `,n.appendChild(s),n.appendChild(e),this.initialized=!0}}}customElements.define("ed11y-element-alt",Ed11yElementAlt);class Ed11yElementPanel extends HTMLElement{constructor(){super()}template(){return`
    <div class='buttonbar' role='tablist' aria-label='${Ed11y.M.panelControls}'>
      <button role="tab" id='issues' aria-selected='true'>
          ${Ed11y.M.buttonIssuesContent}
      </button>
      <button role="tab" id='headings' aria-selected='false'>
          ${Ed11y.M.buttonOutlineContent}
      </button>
      <button role="tab" id='alts' aria-selected='false'>
          ${Ed11y.M.buttonAltsContent}
      </button>
      <button role="tab" id='help' aria-selected='false' aria-controls='help-tab' title='${Ed11y.M.buttonAboutTitle}'>?</button>
      <button role="tab"  id='minimize' aria-selected='false' title='Minimize panel' aria-label="minimize" aria-pressed="false"><span>&ndash;</span></button>
      <button type='button' id='toggle'><span class='close'>&times;</span><span class='open'><span class='icon'></span><span class='toggle-count'></span></span></button>
    </div>
    <div class="content">
      <div id='issues-tab' tabindex="0" role="tabpanel" class="show" aria-labelledby='issues'>
          <div>
              <div class='content-text'>${Ed11y.M.panelCountBase}</div>
              <div aria-live='polite' class='announce hidden'></div>
          </div>
          <div class='jumplinks'>
            <button class='jump prev' data-ed11y-goto='0'><span aria-hidden='true'>« </span><span class='jump-prev'>${Ed11y.M.buttonPrevContent}</span></button>
            <button class='jump next' data-ed11y-goto='0'><span class='jump-next'>${Ed11y.M.buttonFirstContent}</span> <span aria-hidden='true'> »</span></button>
            <button id='restore' hidden>${Ed11y.M.buttonShowHiddenAlertsContent}</button>
          </div>
        </div>
      <div id='headings-tab' role="tabpanel" class="hidden" aria-labelledby='headings' tabindex='0'>
        ${Ed11y.M.panelCheckOutline}
        <ul id='outline'></ul>
      </div>
      <div id='alts-tab' role="tabpanel" class="hidden" aria-labelledby='alts' tabindex='0'>
        ${Ed11y.M.panelCheckAltText}
        <ul id='alt-list'></ul>
      </div>
      <div id='help-tab' role="tabpanel" class="hidden" aria-labelledby='help' tabindex='0'>
      // todo inject content
      </div>
    </div>
    `}connectedCallback(){if(!this.initialized){this.setAttribute("style","outline: 0;");const i=this.attachShadow({mode:"open"});let e=document.createElement("div"),t=(e.setAttribute("class","wrapper"),e.innerHTML=this.template(),document.createElement("style"));t.textContent=Ed11y.baseCSS+`
        :host {
          position: fixed;
          right: 1%;
          bottom: 1%;
          opacity: 0;
          transition: opacity .25s ease-in;
          z-index: 9999;
        }
        :host:focus, div:focus {
          outline: transparent;
        }
        .wrapper {
          width: clamp(160px, 23em, 92vw);
          background: ${Ed11y.color.bg};
          color: ${Ed11y.color.text};
          border-radius: 3px;
          box-shadow: 1px 1px 4px 2px ${Ed11y.color.text}77;
          padding: 2px;
        }
        [tabindex]:focus-visible {
          box-shadow: 0 0 0 3px ${Ed11y.color.bg}, 0 0 0 4px ${Ed11y.color.text};
        }
        a {
          color: inherit;
        }
        .content {
          padding: 4px 4px 4px 12px;
          border: 2px solid ${Ed11y.color.primary};
          border-top: 0;
          border-radius: 0 0 3px 3px;
          color: ${Ed11y.color.text};
          max-height: max(240px, 50vh);
          overflow: auto;
        }
        @media (min-width: 400px) {
          #toggle-tab {
            display: grid;
            grid-gap: 1em;
            grid-template-columns: 16em 1fr;
          }
        }
        .hidden {
          display:none;
        }
        .buttonbar {
          display: flex;
        }
        button {
          margin: 0;
          background: ${Ed11y.color.primary};
          color: ${Ed11y.color.primaryText};
          padding: 6px 4px;
          font-family: inherit;
          font-size: 11px;
          font-weight: 500;
          border: 0;
          border-right: 1px solid ${Ed11y.color.primaryText}55;
          text-align: center;
          flex: auto;
          cursor: pointer;
        }
        button:hover {
          background: ${Ed11y.color.text};
        }
        #shut-panel {
          border-right: 0;
        }
        .buttonbar button {
          color: ${Ed11y.color.primaryText}ee;
        }
        .buttonbar button:hover {
          background: ${Ed11y.color.secondary};
        }
        .buttonbar button:first-child {
          border-radius: 3px 0 0 0; 
          border-left: 2px solid transparent;
        }          
        .buttonbar button:last-child {
          border-radius: 0 3px 0 0;
        }
        .buttonbar button[aria-selected="true"] {
          background: ${Ed11y.color.activeTab};
          box-shadow: inset 0 0 0 1px ${Ed11y.color.primary}, inset 0 -2px ${Ed11y.color.primary}22;
          color: ${Ed11y.color.text};
          border: 0;
        }
        .buttonbar button + button[aria-selected="true"] {
          margin-left: -1px;
        }
        .shut {
          border-radius: 100%;
          background: transparent;
          width: auto;
          box-shadow: none;
        }
        .shut button, 
        .shut .content, 
        .active .toggle-count,
        .shut .close {
          display: none;
        }
        .shut #toggle {
          display: block;
          min-width: 36px;
          height: 36px;
          border-radius: 100%;
          padding: 8px;
          border: 0;
        }
        .pass.shut #toggle {
          font-size: 16px;
          background: ${Ed11y.color.primary};
          line-height: 1;
          box-shadow: inset 0 0 0 2px ${Ed11y.color.primary}, inset 0 0 0 4px #fffe;
          font-family: georgia, serif;
        }
        .pass.shut #toggle:hover {
          box-shadow: inset 0 0 0 2px #fffe, 0 0 0 2px ${Ed11y.color.primary}; 
        }
        .shut.warnings #toggle {
          background-color: ${Ed11y.color.warning};
          color: #000b;
          box-shadow: inset 0 0 0 2px ${Ed11y.color.warning}, inset 0 0 0 3px #000b, 0 0 2px #000;
        }
        .shut.warnings #toggle:hover {
          box-shadow: inset 0 0 0 2px ${Ed11y.color.warning}, inset 0 0 0 3px #000b, 0 0 0 3px #000b;
        }
        .shut.errors #toggle {
          color: ${Ed11y.color.alert};
          box-shadow: inset 0 0 0 1px ${Ed11y.color.alert}, inset 0 0 0 2px #fefefe, inset 0 0 0 6px ${Ed11y.color.alert}, 1px 1px 5px 0 rgba(0,0,0,.5);
          background: #fefefe;
        }
        .shut.errors #toggle:hover {
          box-shadow: inset 0 0 0 1px #b80519, inset 0 0 0 2px #fefefe, inset 0 0 0 6px #b80519, 0 0 0 3px ${Ed11y.color.alert}, 0 0 0 4px transparent;
        }
        .shut .toggle-count {
          display: block;
        }
        .jumplinks {
          text-align: right;
          width: min(12em, 50%);
        }
        .jumplinks button {
          min-width: max(7.25em, calc(49% - 3px));
        }
        .content button {
          padding: 5px 11px;
          border-radius: 2px;
          background: inherit;
          color: inherit;
          border: 1px ${Ed11y.color.button}55 solid;
          margin: 2px 0 2px 1px;
        }
        .jump.prev {
          min-width: 81px;
        }
        .jump.next {
          min-width: 60px;
        }
        #restore {
          min-width: min(146px, 100%);
        }
        .content button:hover {
          background: ${Ed11y.color.bg};
          color: ${Ed11y.color.text};
          box-shadow: inset 0 0 0 1px ${Ed11y.color.text};
        }

        .warning {
          background: ${Ed11y.color.warning};
          color: #111;
        }
        .error {
          background: ${Ed11y.color.bgHighlight};
          color: #fff;
        }
        #issues-tab:not(.hidden) {
          display: flex;
          
          gap: 8px;
        }
        #issues-tab > div {
          flex: 1 1 auto;
          align-self: center;
        }
        #outline, #alt-list {
          list-style: none;
          padding: 0;
          margin: 0;
        }
        #outline li {
          padding: 5px;
        }
        #alt-list li {
          display: flex;
          flex-wrap: wrap;
          gap: 1em;
          padding: 8px;
          margin: 8px 0;
          box-shadow: 0 4px ${Ed11y.color.bg}, 0 5px ${Ed11y.color.primary}22;
        }
        #alt-list li span {
          flex: 0 1 calc(100% - 100px);
        }
        #alt-list li img {
          flex: 0 1 80px;
          width: 80px;
          align-self: flex-start;
        }
      `,i.appendChild(t),i.appendChild(e),Ed11y.panel=e,Ed11y.panelToggle=e.querySelector("#toggle"),Ed11y.panelMessage=e.querySelector(".content-text"),Ed11y.panelCount=e.querySelector(".count"),Ed11y.panelJumpNext=e.querySelector(".jump.next"),Ed11y.panelJumpPrev=e.querySelector(".jump.prev"),Ed11y.panelJumpNext.addEventListener("click",this.jumpTo),Ed11y.panelJumpPrev.addEventListener("click",this.jumpTo),Ed11y.restoreDismissed=e.querySelector("#restore"),Ed11y.restoreDismissed.addEventListener("click",function(){Ed11y.clearDismissals()}),Ed11y.announce=e.querySelector(".announce"),Ed11y.panelTabs=e.querySelectorAll(".buttonbar button"),Ed11y.panelTabs.forEach(e=>{e.addEventListener("click",this.handleBarClick)}),this.initialized=!0}}jumpTo(e){e.preventDefault(),Ed11y.toggledFrom=this,Ed11y.resetClass(["ed11y-hidden-highlight"]),Ed11y.elements.jumpList||Ed11y.buildJumpList();e=parseInt(this.dataset.ed11yGoto);let t=Ed11y.elements.jumpList[e];Ed11y.scrollTo(t),t.setAttribute("data-ed11y-action","open");e=Ed11y.results[t.getAttribute("data-ed11y-result")][3];let i,n=("beforebegin"===e?i=Ed11y.nextUntil(t,":not(ed11y-element-result)"):"afterbegin"===e&&(i=t.parentElement),100);0<Ed11y.options.hiddenHandlers.length&&i.closest(Ed11y.options.hiddenHandlers)&&(n=333,document.dispatchEvent(new CustomEvent("ed11yShowHidden",{detail:{result:t.getAttribute("data-ed11y-result")}}))),window.setTimeout(function(e,t){let i=!1,n,s=(Ed11y.visible(t)?t.closest('[aria-hidden="true"]')&&(i=(i=t.closest('[aria-hidden="true"]')).closest(':not([aria-hidden="true"])'),n=Ed11y.M.jumpedToAriaHiddenTip):(i=Ed11y.firstVisibleParent(t),n=Ed11y.M.jumpedToInvisibleTip),i&&(alert(n),i.classList.add("ed11y-hidden-highlight")),Ed11y.scrollTo(e),document.querySelector('ed11y-element-tip[data-ed11y-open="true"]'));s.shadowRoot.querySelector(".close").focus()},n,t,i)}handleBarClick(e){e.preventDefault();var t=e.currentTarget.getAttribute("id");switch(t){case"toggle":Ed11y.togglePanel();break;case"minimize":Ed11y.minimize();break;default:Ed11y.switchPanel(t)}}static get observedAttributes(){return["style"]}attributeChangedCallback(e,t,i){if("style"===e&&!0===this.initialized){let e=this.shadowRoot?.querySelector("div");e.setAttribute("style",i)}}}customElements.define("ed11y-element-panel",Ed11yElementPanel);class Ed11yElementHeadingLabel extends HTMLElement{constructor(){super()}connectedCallback(){if(!this.initialized){const s=this.attachShadow({mode:"open"});let e=document.createElement("div");e.setAttribute("class","wrapper");var i=this.dataset.ed11yHeadingOutline,i=Ed11y.headingOutline[i],n=(e.innerHTML="H"+i[1],!!i[2]);e.classList.add("issue"+n);let t=document.createElement("style");n=Math.max(52-8*i[1],12);t.textContent=Ed11y.baseCSS+`
        :host {
          position: absolute;
          margin-top:-.5em;
        }
        .wrapper {          
          background: ${Ed11y.color.primary}ee;
          color: ${Ed11y.color.primaryText};
          box-shadow: 0 0 0 1px ${Ed11y.color.bg}ee, 0 0 0 4px ${Ed11y.color.primary}ee, 1px 1px 5px 2px #000;
          padding: 0 .5em;
          line-height: 1.2;
          border-radius: 2px;
          margin-left: 35px;
          font-weight: 400;
          font-size: ${n}px;
        }
      `,s.appendChild(t),s.appendChild(e),this.initialized=!0}}}customElements.define("ed11y-element-heading-label",Ed11yElementHeadingLabel);class Ed11yElementResult extends HTMLElement{constructor(){super()}connectedCallback(){if(!this.initialized){this.open=!1,this.racing=!1,this.setAttribute("style","outline: 0px solid transparent;");const t=this.attachShadow({mode:"open"});this.resultID=this.dataset.ed11yResult,this.result=Ed11y.results[this.resultID],this.wrapper=document.createElement("aside"),this.dismissable=!1!==this.result[4],this.wrapper.classList.add("wrapper"),this.wrapper.classList.add("ed11y-result"),this.toggle=document.createElement("button"),this.toggle.setAttribute("class","toggle");var e=this.dismissable?Ed11y.M.toggleManualCheck:Ed11y.M.toggleAlert;this.toggle.setAttribute("aria-label",Ed11y.M.toggleAriaLabel(this.resultID,e)),this.toggle.setAttribute("aria-expanded","false"),this.toggle.setAttribute("aria-haspopup","dialog"),this.toggle.setAttribute("data-ed11y-result",this.dataset.ed11yResult),this.toggle.setAttribute("data-ed11y-ready","false"),this.toggle.setAttribute("data-ed11y-race","false"),this.wrapper.appendChild(this.toggle),this.toggle.addEventListener("click",this.toggleClick),this.toggle.addEventListener("mouseover",this.handleHover),this.tipNeedsBuild=!0;const i=document.createElement("style");e=this.toggleImage();i.textContent=Ed11y.baseCSS+e+`
        :host {
          position: absolute;
          opacity: 0;
          transition: opacity .25s ease-in;
          z-index: ${Ed11y.options.buttonZIndex-1};
        }
        :host([data-ed11y-open='true']) {
          z-index: ${Ed11y.options.buttonZIndex};
        }
        .wrapper {
          width: 44px;
          height: 44px;
          overflow: visible;
          color: ${Ed11y.color.text};
        }
        button {
          margin: 0;
          border: 0;
          background: inherit;
          font-family: inherit;
          font-size: 11px;
          font-weight: 600;
          text-align: center;
          cursor: pointer;
          color: ${Ed11y.color.primaryText};
          background: ${Ed11y.color.tipHeader};
        }
        .toggle {
          display: block;
          border: 0;
          border-radius: 50%;
          position: absolute;
          margin: 0 0 0 10px;
          z-index: 1;
          padding: 0;
          vertical-align: middle;
          cursor: pointer;
          width: 32px;
          height: 32px;
          line-height: 1;
          font-size: 16px;
        }
        button:focus-visible {
          outline: 2px solid transparent;
          box-shadow: inset 0 0 0 2px ${Ed11y.color.focusRing}, 0 0 0 3px ${Ed11y.color.primary};
        }
      `,t.appendChild(i),t.appendChild(this.wrapper),this.initialized=!0}}toggleImage(){var e=`
      .toggle {
        box-shadow: inset 0 0 0 2px ${Ed11y.color.warning}, inset 0 0 0 3px #444, inset 0 0 0 6px ${Ed11y.color.warning}, 1px 1px 5px 0 rgba(0,0,0,.5);
        background: ${Ed11y.color.warning};
        color: #333;
      }
      .toggle::before {
        content: "?";
      }
      .toggle:hover, .toggle[aria-expanded='true'] {
        border: 2px solid ${Ed11y.color.primary};
      }`,t=`
      .toggle {
        box-shadow: inset 0 0 0 1px ${Ed11y.color.alert}, inset 0 0 0 2px #fefefe, inset 0 0 0 6px #b80519, 1px 1px 5px 0 rgba(0,0,0,.5);
        background: #fefefe;
        color: ${Ed11y.color.alert};
      }
      .toggle:hover, .toggle[aria-expanded='true'] {
        box-shadow: inset 0 0 0 1px ${Ed11y.color.alert}, inset 0 0 0 2px #fefefe, inset 0 0 0 6px #b80519, 0 0 0 2px ${Ed11y.color.primary}, 0 0 0 3px transparent;
      }
      .toggle::before {
        content: "!";
      }`;return this.dismissable?e:t}handleHover(e){e.preventDefault();let t=this.getRootNode().host;"false"===t.getAttribute("data-ed11y-open")&&!1===t.racing&&(t.racing=!0,t.toggleTip(!0),Ed11y.toggledFrom=this,window.setTimeout(function(){t.racing=!1},250,t))}toggleClick(e){e.preventDefault();let t=this.getRootNode().host;!1===t.racing&&(t.racing=!0,Ed11y.toggledFrom=this,e="false"===t.getAttribute("data-ed11y-open")?"open":"close",t.setAttribute("data-ed11y-action",e),"open"==e&&window.setTimeout(function(){let e=document.querySelector('ed11y-element-tip[data-ed11y-open="true"]');e?.shadowRoot.querySelector(".close").focus()},500),window.setTimeout(function(){t.racing=!1},250,t))}closeOtherTips(){Ed11y.findElements("openTips",'[data-ed11y-open="true"]'),Ed11y.elements.openTips&&Array.from(Ed11y.elements.openTips).forEach(e=>{e.setAttribute("data-ed11y-action","close")})}tipDOM(e,t,i){return`>
      <div class="title" id="tip-title-${e}">${t}</div>
      <div class="message">${i}</div>
    `}buildTip(){this.tipNeedsBuild=!1;let e=document.createElement("ed11y-element-tip"),t=(e.setAttribute("data-ed11y-result",this.resultID),document.querySelector("body"));t.insertAdjacentElement("beforeend",e),this.tip=e}toggleTip(e){this.tipNeedsBuild&&this.buildTip(),this.toggle.setAttribute("aria-expanded",e);var t=this.dismissable?"ed11y-ring-yellow":"ed11y-ring-red";this.result[0].classList.toggle(t),!0===e?(document.dispatchEvent(new CustomEvent("ed11yPop",{detail:{id:"ed11y-result-"+this.toggle.getAttribute("data-ed11y-result")}})),this.closeOtherTips(),this.tip.setAttribute("data-ed11y-action","open"),window.setTimeout(Ed11y.alignTip(this.toggle,this.tip)),Ed11y.elements.jumpList||Ed11y.buildJumpList(),Ed11y.goto=this.getAttribute("data-ed11y-jump-position"),Ed11y.setCurrentJump()):(document.dispatchEvent(new CustomEvent("ed11yShut",{detail:{id:"ed11y-result-"+this.toggle.getAttribute("data-ed11y-result")}})),this.tip.setAttribute("data-ed11y-action","shut")),this.setAttribute("data-ed11y-open",e),this.open=e}static get observedAttributes(){return["data-ed11y-action"]}attributeChangedCallback(e,t,i){this.initialized&&"data-ed11y-action"===e&&"false"!==i&&(e="open"===i,this.setAttribute("data-ed11y-action","false"),this.toggleTip(e))}}customElements.define("ed11y-element-result",Ed11yElementResult);class Ed11yElementTip extends HTMLElement{constructor(){super()}connectedCallback(){if(!this.initialized){this.open=!0,this.setAttribute("style","outline: 0px solid transparent;");const l=this.attachShadow({mode:"open"}),d=(this.resultID=this.dataset.ed11yResult,this.result=Ed11y.results[this.resultID],this.wrapper=document.createElement("div"),this.wrapper.setAttribute("role","dialog"),this.dismissable=!1!==this.result[4],this.wrapper.classList.add("wrapper"),this.wrapper.classList.add("ed11y-result"),this.addEventListener("mouseover",this.handleHover),document.createElement("style"));d.textContent=Ed11y.baseCSS+`
        :host {
          position: absolute;
          top: 10vh;
          left: 2vw;
          opacity: 0;
          transition: opacity .25s ease-in;
          z-index: ${Ed11y.options.buttonZIndex-1};
        }
        :host([data-ed11y-open='true']) {
          z-index: ${Ed11y.options.buttonZIndex};
          opacity: 1;
        }
        .wrapper {
          width: 1px;
          height: 1px;
          overflow: visible;
          color: ${Ed11y.color.text};
        }
        .arrow {
          display: none;
          content: "";
          position: absolute;
          transform: rotate(45deg);
          left: -10px;
          box-shadow: 0 0 0 2px ${Ed11y.color.bg}, 2px 2px 4px ${Ed11y.color.tipHeader}77;
          width: 20px;
          height: 20px;
          top: 6px;
        }
        .arrow[data-direction="left"] {
          left: -18px;
          background: linear-gradient(45deg, transparent 0%, transparent 48%, ${Ed11y.color.tipHeader} 49%);
        }
        .arrow[data-direction="under"] {
          margin-top: -18px;
          background: linear-gradient(-45deg, transparent 0%, transparent 48%, ${Ed11y.color.tipHeader} 49%);
        }
        .arrow[data-direction="above"] {
          margin-top: -27px;
          background: linear-gradient(135deg, transparent 0%, transparent 48%, ${Ed11y.color.tipHeader} 49%);
        }
        .arrow[data-direction="right"] {
          background: linear-gradient(-135deg, transparent 0%, transparent 48%, ${Ed11y.color.tipHeader} 49%);
        }
        .tip {
          font-size: 14px;
          z-index: 1;
          border: 2px solid ${Ed11y.color.tipHeader};
          background: ${Ed11y.color.bg};
          border-radius: 0 0 3px 3px;
          position:relative;
          width: clamp(12rem, 30rem, 89vw);
          display: none;
          box-shadow: 0 0 0 2px ${Ed11y.color.bg}, 2px 2px 4px ${Ed11y.color.primary}77;
        }
        @keyframes fade-in {
          0% { opacity: 0;}
          100% { opacity: 1;}
        }
        .open .tip {
          display: block;
        }
        .open .tip .content {
          animation: fade-in 0.25s ease-out;
        }
        .open .arrow {
          display: block;
          opacity: 1;
        }
        .title {
          background: ${Ed11y.color.tipHeader};
          color: ${Ed11y.color.primaryText};
          padding: 2px 35px 3px 14px;
          font-weight: bold;
          font-size: 14px;
          min-height: 28px;
          line-height: 1;
          display: grid;
          place-content: center left;
          outline: transparent;
        }
        .content {
          padding: 0 12px 16px 16px;
        }
        p {
          margin-block-start: 1em;
          margin-block-end: 1em;
        }
        p:last-child {
          margin-block-end: 0;
        }
        button {
          margin: 0;
          border: 0;
          background: inherit;
          font-family: inherit;
          font-size: 11px;
          font-weight: 600;
          text-align: center;
          cursor: pointer;
          color: ${Ed11y.color.primaryText};
          background: ${Ed11y.color.tipHeader};
        }
        ul {
          margin-block-start: .643em;
          margin-block-end: .643em;
          padding-inline-start: 20px;
        }
        li {
          line-height: 1.357;
        }
        li + li {
          margin-top: .643em;
        }
        table {
          border-spacing: 0;
          margin: 20px;
        }
        th, td {
          border: 0;
          box-shadow: 0 0 0 1px;
          padding: 5px 10px;
        }
        a {
          color: inherit;
        }
        a:hover, a:focus-visible {
          text-decoration-style: double;
          text-decoration-skip-ink: none;
        }

        .close {
          padding: 0 0 0 2px;
          font-size: 14px;
          line-height: 1;
          height: 36px;
          display: grid;
          place-content: center;
          font-weight: 400;
          position: absolute;
          top: -3px;
          right: -2px;
          box-shadow: -1px 0 ${Ed11y.color.bg};
          background: transparent;
          width: 32px;
        }
        .close:hover {
          background: ${Ed11y.color.bg};
          color: ${Ed11y.color.text};
        }
        .dismiss {
          margin: .5em 1em .25em 0;
          padding: 5px 9px;
          border-radius: 3px;
          font-weight: bold;
        }
        .dismiss:hover, .dismiss:focus-visible {
          color: ${Ed11y.color.text};
          background: ${Ed11y.color.bg};
          box-shadow: inset 0 0 0 2px ${Ed11y.color.tipHeader};
        }
        .wrapper :focus-visible {
          outline: 2px solid transparent;
          box-shadow: inset 0 0 0 2px ${Ed11y.color.focusRing}, 0 0 0 3px ${Ed11y.color.primary};
        }
      `,this.tip=document.createElement("div"),this.tip.classList.add("tip"),this.tip.setAttribute("aria-labelledby","tip-title-"+[this.resultID]),this.heading=document.createElement("div"),this.heading.setAttribute("id","tip-"+this.resultID),this.heading.classList.add("title"),this.heading.setAttribute("tabindex","-1"),this.heading.innerHTML=Ed11y.M[this.result[1]].title;let i=document.createElement("div");if(i.classList.add("content"),i.innerHTML=this.result[2],this.dismissable&&(Ed11y.options.allowOK||Ed11y.options.allowHide)){let t=document.createElement("div");if(Ed11y.options.allowOK){let e=document.createElement("button");e.classList.add("dismiss"),e.textContent=Ed11y.M.dismissOkButtonContent,e.setAttribute("title",Ed11y.M.dismissOkButtonTitle),t.append(e),e.addEventListener("click",function(){Ed11y.dismissThis("ok")})}if(Ed11y.options.allowHide){let e=document.createElement("button");e.classList.add("dismiss"),e.textContent=Ed11y.M.dismissHideButtonContent,e.setAttribute("title",Ed11y.M.dismissHideButtonTitle),t.append(e),e.addEventListener("click",function(){Ed11y.dismissThis("hide")})}let e=document.createElement("button");e.classList.add("dismiss"),e.textContent="?",t.append(e),e.addEventListener("click",function(){Ed11y.dismissHelp(e)}),i.append(t)}let e=document.createElement("button"),t=(e.setAttribute("aria-label","close"),e.classList.add("close"),e.innerHTML="&times;",document.createElement("div")),n=(t.classList.add("arrow"),this.tip.append(this.heading),this.tip.append(e),this.tip.append(i),e.addEventListener("click",e=>{if(e.preventDefault,this.open){let e=document.querySelector('ed11y-element-result[data-ed11y-open="true"]');Ed11y.toggledFrom.focus(),e?.setAttribute("data-ed11y-action","shut"),this.setAttribute("data-ed11y-action","shut")}}),l.appendChild(d),l.appendChild(this.wrapper),document.createElement("div")),s=(n.setAttribute("tabIndex","0"),document.createElement("div")),a=(s.setAttribute("tabindex","0"),this.wrapper.appendChild(n),this.wrapper.appendChild(t),this.wrapper.appendChild(this.tip),this.wrapper.appendChild(s),this.wrapper.querySelectorAll('a, button, [tabindex="0"]')),o=a.length;a[0].addEventListener("focus",()=>{a[o-2].focus()}),a[o-1].addEventListener("focus",()=>{a[1].focus()}),this.initialized=!0}}toggleTip(e){e?this.wrapper.classList.add("open"):this.wrapper.classList.remove("open"),this.setAttribute("data-ed11y-open",e)}toggleImage(){var e=`
      .toggle {
        box-shadow: inset 0 0 0 2px ${Ed11y.color.warning}, inset 0 0 0 3px #444, inset 0 0 0 6px ${Ed11y.color.warning}, 1px 1px 5px 0 rgba(0,0,0,.5);
        background: ${Ed11y.color.warning};
        color: #333;
      }
      .toggle::before {
        content: "?";
      }
      .toggle:hover, .toggle[aria-expanded='true'] {
        border: 2px solid ${Ed11y.color.primary};
      }`,t=`
      .toggle {
        box-shadow: inset 0 0 0 1px ${Ed11y.color.alert}, inset 0 0 0 2px #fefefe, inset 0 0 0 6px #b80519, 1px 1px 5px 0 rgba(0,0,0,.5);
        background: #fefefe;
        color: ${Ed11y.color.alert};
      }
      .toggle:hover, .toggle[aria-expanded='true'] {
        box-shadow: inset 0 0 0 1px ${Ed11y.color.alert}, inset 0 0 0 2px #fefefe, inset 0 0 0 6px #b80519, 0 0 0 2px ${Ed11y.color.primary}, 0 0 0 3px transparent;
      }
      .toggle::before {
        content: "!";
      }`;return this.dismissable?e:t}tipDOM(e,t,i){return`>
      <div class="title" id="tip-title-${e}">${t}</div>
      <div class="message">${i}</div>
    `}static get observedAttributes(){return["data-ed11y-action"]}attributeChangedCallback(e,t,i){this.initialized&&"data-ed11y-action"===e&&"false"!==i&&(this.open=e="open"===i,this.setAttribute("data-ed11y-action","false"),this.toggleTip(e))}}customElements.define("ed11y-element-tip",Ed11yElementTip);class Ed11yTestEmbeds{check(){let e=Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.videoContent),t=(0<(e=e.concat(Array.from(Ed11y.elements.video))).length&&e.forEach(e=>{var t=Ed11y.dismissalKey("undefined"!==e?.getAttribute("src")?e.getAttribute("src"):e.querySelector("[src]")?.getAttribute("src"));Ed11y.results.push([e,"embedVideo",Ed11y.M.embedVideo.tip(),"beforebegin",t])}),Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.audioContent)),i=(0<(t=t.concat(Array.from(Ed11y.elements.audio))).length&&t.forEach(e=>{var t=Ed11y.dismissalKey("undefined"!==e?.getAttribute("src")?e.getAttribute("src"):e.querySelector("[src]")?.getAttribute("src"));Ed11y.results.push([e,"embedAudio",Ed11y.M.embedAudio.tip(),"beforebegin",t])}),Ed11y.srcMatchesOptions(Ed11y.elements.iframe,Ed11y.options.dataVizContent)),n=(0<i.length&&i.forEach(e=>{var t=Ed11y.dismissalKey(e.getAttribute("src"));Ed11y.results.push([e,"embedVisualization",Ed11y.M.embedVisualization.tip(),"beforebegin",t])}),Ed11y.srcMatchesOptions(Ed11y.elements.frame,Ed11y.options.twitterContent));0<n.length&&n.forEach(e=>{var t=e.querySelectorAll(".timeline-TweetList-tweet");t&&3<t&&(t=Ed11y.dismissalKey(e.getAttribute("src")),Ed11y.results.push([e,"embedTwitter",Ed11y.M.embedTwitter.tip(),"beforebegin",t]))}),Ed11y.options.embeddedContent&&Ed11y.elements.embed?.forEach(e=>{var t=Ed11y.dismissalKey(e.getAttribute("src")+e.getAttribute("id")+e.getAttribute("class"));Ed11y.results.push([e,"embedCustom",Ed11y.M.embedCustom.tip(),"beforebegin",t])})}}class Ed11yTestHeadings{check(){Ed11y.panel?.querySelectorAll("#ed11y-outline-list li, .ed11y-headings-label")?.forEach(e=>e.remove());let r=0,p=(Ed11y.headingOutline=[],"beforebegin");Ed11y.elements.h?.forEach((e,t)=>{let i,n=(i=e.hasAttribute("aria-level")?+e.getAttribute("aria-level"):+e.tagName.slice(1),i=parseInt(i),""),s=!1,a="";var o=Ed11y.getText(e),l=o.length;let d=!1;1<i-r&&0!==t&&(n="headingLevelSkipped",d=i+o,s=Ed11y.M.errorOutlinePrefixSkippedLevel,a=Ed11y.M.headingLevelSkipped.tip(r,i)),l<1?(t=e.querySelector("img")?.getAttribute("alt"))&&0!==t.length||(n="headingEmpty",s=Ed11y.M.errorOutlinePrefixHeadingEmpty,a=Ed11y.M.headingEmpty.tip()):160<l&&(s=Ed11y.M.errorOutlinePrefixHeadingIsLong,d=i+o,n="headingIsLong",a=Ed11y.M.headingIsLong.tip()),r=i,""!==n&&(s=e.closest(Ed11y.options.checkRoots)||Ed11y.options.shadowComponents&&e.getRootNode()?.host?.matches(Ed11y.options.shadowComponents)?(Ed11y.results.push([e,n,a,p,d]),s&&"<span class='ed11y-small'><em>"+s+"</em></span>"):""),Ed11y.headingOutline.push([e,i,s])}),Ed11y.elements.blockquote?.forEach(e=>{var t,i=Ed11y.getText(e);i.length<25&&(i=Ed11y.dismissalKey(i),t=Ed11y.M.blockquoteIsShort.tip(),Ed11y.results.push([e,"blockquoteIsShort",t,p,i]))})}}class Ed11yTestImages{check(){Ed11y.imageAlts=[],Ed11y.elements.img.forEach(n=>{let s=n.getAttribute("alt"),a=Ed11y.M.altLabelPrefix,e=n.getAttribute("src"),o=!1,l=!0;var t,d=Ed11y.parentLink(n);if("string"!=typeof s)o="altMissing",l=!1,a+=Ed11y.M.errorAltMissing;else if(0!==s.length||d){a+=s;let e=[".png",".jpg",".jpeg",".gif"],t=Ed11y.M.suspiciousWords,i=[null,null];e.forEach(e=>{0<=s.toLowerCase().indexOf(e)&&(i[0]="URL")}),t.forEach(e=>{0<=s.toLowerCase().indexOf(e)&&(i[1]=e)}),"URL"===i[0]?(o="altURL",l=!1):null!==i[1]?o="altImageOf":""!==s&&""===s.replace(/"|'|\s+/g,"")?(o="altDeadspace",l=!1):160<s.length&&(o="altLong"),d&&(n=d,o=!o&&1<Ed11y.linkText(d.textContent).length?"altPartOfLinkWithText":o&&o+"Linked")}else o="altNull",a+=Ed11y.M.errorAltNull;let i="pass";o&&(d=Ed11y.M[o].tip(Ed11y.sanitizeForHTML(s)),t=e.split("?")[0],l=!!l&&Ed11y.dismissalKey(t+s),Ed11y.results.push([n,o,d,"beforebegin",l]),i=!1===l?"error":"warning"),Ed11y.imageAlts.push([n,e,a,i])})}}class Ed11yTestLinks{check(){Ed11y.elements.a?.forEach(i=>{let n=Ed11y.computeAriaLabel(i),e=i.querySelectorAll("img"),s=0<e.length,t=i.querySelectorAll("[aria-label]:not(img)"),a=!1,o=(i.matches(Ed11y.options.documentLinks)&&(a=!0),"noAria"===n&&(n=Ed11y.getText(i),s&&(e.forEach(e=>{var t=Ed11y.computeAriaLabel(e);"noAria"!==t?n+=t:e.hasAttribute("alt")?n+=e.getAttribute("alt"):e.hasAttribute("src")&&(n+=e.getAttribute("src"))}),s=!0),0<t.length&&t.forEach(e=>{n+=e.getAttribute("aria-label")})),n+=Ed11y.computeTitle(i)?Ed11y.computeTitle(i):"",Ed11y.options.linkIgnoreStrings?n.replace(Ed11y.options.linkIgnoreStrings,""):n);var l=(o=o.toLowerCase()).replace(Ed11y.M.linkStringsNewWindows,"");if("_blank"===i?.getAttribute("target")&&n.length===l.length&&(l=Ed11y.dismissalKey(n),Ed11y.results.push([i,"linkNewWindow",Ed11y.M.linkNewWindow.tip(),"beforebegin",l])),0===(o=o.replace(/'|"|-|\.|\s+/g,"")).length)!1===s?Ed11y.results.push([i,"linkNoText",Ed11y.M.linkNoText.tip(),"beforebegin",!1]):Ed11y.results.push([i,"altEmptyLinked",Ed11y.M.altEmptyLinked.tip(),"beforebegin",!1]);else{var l=function(t){var i=Ed11y.options.linksUrls||Ed11y.M.linksUrls,e=Ed11y.options.linksMeaningless||Ed11y.M.linksMeaningless;let n="none";if(0===t.replace(e,"").length)n="generic";else for(let e=0;e<i.length;e++)if(-1<t.indexOf(i[e])){n="url";break}return n}(o);if("none"!==l){let e=!1,t=!1;s||(t="linkTextIsURL",e=Ed11y.dismissalKey(n)),"generic"===l&&(t="linkTextIsGeneric",e=Ed11y.dismissalKey(n)),t&&Ed11y.results.push([i,t,Ed11y.M[t].tip(Ed11y.sanitizeForHTML(n)),"beforebegin",e])}}!s&&a&&(l=Ed11y.dismissalKey(i?.getAttribute("src")),Ed11y.results.push([i,"linkDocument",Ed11y.M.linkDocument.tip(),"beforebegin",l]))})}}class Ed11yTestText{check(){function o(e){return e.replace(/^b|^B|^2/,function(e){return i[e]})}function t(e){let t="";"LI"===e.tagName?e.childNodes.forEach(e=>{3===e.nodeType&&(t+=e.textContent)}):t=Ed11y.getText(e);var i,n=t.match(/([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,})/g);n&&10<n[0].length&&(n=Ed11y.dismissalKey(t),(i=e.closest("a, button"))?Ed11y.results.push([i,"textUppercase",Ed11y.M.textUppercase.tip(),"beforebegin",n]):Ed11y.results.push([e,"textUppercase",Ed11y.M.textUppercase.tip(),"afterbegin",n]))}let l="",d="",i={b:"a",B:"A",2:"1"},r=/a\.|a\)|A\.|A\)|1\.|1\)|\*\s|-\s|--|•\s|→\s|✓\s|✔\s|✗\s|✖\s|✘\s|❯\s|›\s|»\s/;Ed11y.elements.p?.forEach((t,i)=>{let n="",e=!1,s=!1;if(d||(d=Ed11y.getText(t),n=d.substring(0,2)),0<n.length&&n!==l&&n.match(r)){var i=Ed11y.elements.p[i+1];if(i&&(e=Ed11y.getText(i).substring(0,2),i=o(e),n===i&&(s=!0)),!s){let e=t?.querySelector("br")?.nextSibling?.nodeValue;e&&(e=e.replace(/<\/?[^>]+(>|$)/g,"").trim().substring(0,2),n===o(e)&&(s=!0))}l=s?(i=Ed11y.dismissalKey(d),Ed11y.results.push([t,"textPossibleList",Ed11y.M.textPossibleList.tip(n),"afterbegin",i]),n):""}else{let e=t.querySelector("strong, b");var a;e&&(i=(e=Ed11y.getText(e)).length,a=null!==e.match(/[.:;?!"']/),i<121&&5<i&&i===d.length&&!1==a&&(i=Ed11y.dismissalKey(e),Ed11y.results.push([t,"textPossibleHeading",Ed11y.M.textPossibleHeading.tip(),"afterbegin",i])))}d=e&&""});Ed11y.elements.h?.forEach(e=>{t(e)}),Ed11y.elements.p?.forEach(e=>{t(e)}),Ed11y.elements.blockquote?.forEach(e=>{t(e)}),Ed11y.elements.li?.forEach(e=>{t(e)}),Ed11y.elements.table.forEach(e=>{let t=e.querySelectorAll("th"),i=e.querySelectorAll("h1, h2, h3, h4, h5, h6");0===t.length?Ed11y.results.push([e,"tableNoHeaderCells",Ed11y.M.tableNoHeaderCells.tip(),"beforebegin",!1]):t.forEach(e=>{Ed11y.getText(e).length<1&&!Ed11y.computeTitle(e)&&Ed11y.results.push([e,"tableEmptyHeaderCell",Ed11y.M.tableEmptyHeaderCell.tip(),"afterbegin",!1])}),i&&i.forEach(e=>{Ed11y.results.push([e,"tableContainsContentHeading",Ed11y.M.tableContainsContentHeading.tip(),"beforebegin",!1])})})}}class Ed11y{constructor(e){Ed11y.options={checkRoots:!1,shadowComponents:!1,ignoreElements:!1,ignoreByKey:{img:"[aria-hidden], [aria-label], [aria-labelledby], [aria-hidden] img, [aria-label] img, [aria-labelledby] img",a:"[aria-hidden][tabindex]"},alertMode:"polite",currentPage:!1,allowHide:!0,allowOK:!0,syncedDismissals:!1,ignoreAllIfAbsent:!1,ignoreAllIfPresent:!1,preventCheckingIfPresent:!1,preventCheckingIfAbsent:!1,linkIgnoreStrings:!1,hiddenHandlers:"",lang:"en",theme:"lightTheme",darkTheme:{bg:"#0a2051",bgHighlight:"#7b1919",text:"#f4f7ff",primary:"#3052a0",primaryText:"#f4f7ff",secondary:"#20160c",warning:"#fad859",alert:"#b80519",button:"#dde8ff",focusRing:"cyan",activeTab:"#0a2051",tipHeader:"#3052a0"},lightTheme:{bg:"#fffffe",bgHighlight:"#7b1919",text:"#20160c",primary:"#0a307a",primaryText:"#fffdf7",secondary:"#20160c",warning:"#fad859",alert:"#b80519",button:"#0a307a",focusRing:"#007aff",activeTab:"#b9c0cf",tipHeader:"#0a307a"},buttonZIndex:9999,embeddedContent:!1,embeddedContentTitle:"",embeddedContentMessage:"",videoContent:"youtube.com, vimeo.com, yuja.com, panopto.com",audioContent:"soundcloud.com, simplecast.com, podbean.com, buzzsprout.com, blubrry.com, transistor.fm, fusebox.fm, libsyn.com",dataVizContent:"datastudio.google.com, tableau",twitterContent:"twitter-timeline",documentLinks:"a[href$='.pdf'], a[href*='.pdf?'], a[href$='.doc'], a[href$='.docx'], a[href*='.doc?'], a[href*='.docx?'], a[href$='.ppt'], a[href$='.pptx'], a[href*='.ppt?'], a[href*='.pptx?'], a[href^='https://docs.google']",linksUrls:!1,linksMeaningless:!1,...e},Ed11y.M={...ed11yLang.en,...ed11yLang[Ed11y.options.lang]},Ed11y.color=Ed11y.options[Ed11y.options.theme],!1===Ed11y.options.currentPage&&(Ed11y.options.currentPage=window.location.pathname),Ed11y.elements=[],Ed11y.initialize=()=>{Ed11y.checkRunPrevent=()=>{let e=!!Ed11y.options.preventCheckingIfPresent&&document.querySelector(Ed11y.options.preventCheckingIfPresent);return e=!e&&Ed11y.options.preventCheckingIfAbsent?null===document.querySelector(`:is(${Ed11y.options.preventCheckingIfAbsent})`):e};var e;e=()=>{Ed11y.checkRunPrevent()||(Ed11y.running=!0,Ed11y.localData=localStorage.getItem("Ed11y.localData"),Ed11y.localDataParsed=Ed11y.localData?JSON.parse(Ed11y.localData):{},!1===Ed11y.options.syncedDismissals?(Ed11y.dismissedAlerts=localStorage.getItem("ed11ydismissed"),Ed11y.dismissedAlerts=Ed11y.dismissedAlerts?JSON.parse(Ed11y.dismissedAlerts):{}):(Ed11y.dismissedAlerts={},Ed11y.dismissedAlerts[Ed11y.options.currentPage]=Ed11y.options.syncedDismissals),Ed11y.testEmbeds=new Ed11yTestEmbeds,Ed11y.testHeadings=new Ed11yTestHeadings,Ed11y.testImages=new Ed11yTestImages,Ed11y.testLinks=new Ed11yTestLinks,Ed11y.testText=new Ed11yTestText,Ed11y.ignore=Ed11y.options.ignoreElements?`:not(${Ed11y.options.ignoreElements})`:"",Ed11y.options.checkRoots||(Ed11y.options.checkRoots=null!==document.querySelector("main")?"main":"body"),Ed11y.ignoreAll=!(!Ed11y.options.ignoreAllIfAbsent||null!==document.querySelector(`:is(${Ed11y.options.ignoreAllIfAbsent})`)),!Ed11y.ignoreAll&&Ed11y.options.ignoreAllIfPresent&&(Ed11y.ignoreAll=null!==document.querySelector(`:is(${Ed11y.options.ignoreAllIfPresent})`)),Ed11y.checkAll(!0,"hide"),window.addEventListener("resize",function(){Ed11y.windowResize()}))},"complete"===document.readyState?e():window.addEventListener("load",e)},Ed11y.checkAll=(e,i)=>{if(Ed11y.checkRunPrevent())Ed11y.reset(),Ed11y.panelToggle.classList.add("disabled"),Ed11y.panelToggle.setAttribute("aria-expanded","true"),Ed11y.panelToggle.setAttribute("title",Ed11y.M.toggleDisabled);else{Ed11y.results=[],Ed11y.elements=[],Ed11y.errorCount=0,Ed11y.warningCount=0,Ed11y.dismissedCount=0,Ed11y.mediaCount=0;let t=document.querySelectorAll(`:is(${Ed11y.options.checkRoots})`);if(0===t.length)Ed11y.roots=[document.querySelector("html, body")],0===t.length?console.warn("Check Editoria11y configuration; specified root element not found"):console.warn("No user editable content on this page"),Ed11y.reset();else{Ed11y.roots=[],t.forEach((e,t)=>{e.shadowRoot?Ed11y.roots[t]=e.shadowRoot:Ed11y.roots[t]=e}),Ed11y.buildElementList();let e=["testLinks","testImages","testHeadings","testText","testEmbeds"];e.forEach(e=>{window.setTimeout(function(){Ed11y[e].check()},0,e)})}window.setTimeout(function(){Ed11y.updatePanel(e,i),Ed11y.panelToggle.setAttribute("title",Ed11y.M.toggleAccessibilityTools)},0)}},Ed11y.countAlerts=function(e){if(Ed11y.ignoreAll)Ed11y.dismissedCount=0<Ed11y.results.length?1:0;else{Ed11y.dismissedCount=0;for(let e=Ed11y.results.length-1;0<=e;e--){var t=Ed11y.results[e][1],i=Ed11y.results[e][4];!1!==i&&void 0!==Ed11y.dismissedAlerts[Ed11y.options.currentPage]&&void 0!==Ed11y.dismissedAlerts[Ed11y.options.currentPage][t]&&"undefined"!==Ed11y.dismissedAlerts[Ed11y.options.currentPage][t][i]?(Ed11y.dismissedCount++,Ed11y.results[e][5]=Ed11y.dismissedAlerts[Ed11y.options.currentPage][t][i]):(Ed11y.results[e][4]?Ed11y.warningCount++:Ed11y.errorCount++,Ed11y.results[e][5]=!1)}}Ed11y.totalCount=Ed11y.errorCount+Ed11y.warningCount,0<Ed11y.totalCount?(Ed11y.panelJumpNext.removeAttribute("hidden"),Ed11y.totalCount<2?Ed11y.panelJumpPrev.setAttribute("hidden",""):Ed11y.panelJumpPrev.removeAttribute("hidden"),0<Ed11y.errorCount?(Ed11y.panel.classList.remove("warnings","pass"),Ed11y.panel.classList.add("errors")):0<Ed11y.warningCount&&(Ed11y.panel.classList.remove("errors","pass"),Ed11y.panel.classList.add("warnings")),Ed11y.panelCount.textCount=Ed11y.totalCount,Ed11y.panelCount.style.display="inline-block",Ed11y.panelMessage.innerHTML=1===Ed11y.totalCount?Ed11y.M.panelCount1:Ed11y.totalCount+Ed11y.M.panelCountMultiple,Ed11y.panel.querySelector(".toggle-count").textContent=Ed11y.totalCount):(Ed11y.panelJumpNext.setAttribute("hidden",""),Ed11y.panelJumpPrev.setAttribute("hidden",""),Ed11y.panelCount.style.display="display: none;",Ed11y.panel.classList.remove("warnings","errors"),Ed11y.panel.classList.add("pass"),0<Ed11y.dismissedCount?(Ed11y.panel.querySelector(".toggle-count").textContent="i",Ed11y.panelMessage.innerText=Ed11y.M.panelCountAllDismissed):(Ed11y.panel.querySelector(".toggle-count").textContent="✓",Ed11y.panelMessage.innerText=Ed11y.M.panelCount0)),(0<Ed11y.dismissedCount||Ed11y.ignoreAll)&&Ed11y.restoreDismissed.removeAttribute("hidden"),Ed11y.panel.classList.remove("ed11y-preload"),!0===e&&window.setTimeout(function(){var e=new CustomEvent("ed11yResults");document.dispatchEvent(e)},0)},Ed11y.updatePanel=function(e,t){var i;!0===e&&(i=document.createElement("ed11y-element-panel"),document.querySelector("body").appendChild(i)),Ed11y.countAlerts(e),!0===e&&0<Ed11y.totalCount&&!Ed11y.ignoreAll?(Ed11y.localDataParsed[Ed11y.options.currentPage]===Ed11y.totalCount?t="seen":"assertive"===Ed11y.options.alertMode&&(t="show"),Ed11y.localDataParsed[Ed11y.options.currentPage]=Ed11y.totalCount,window.setTimeout(function(){Ed11y.announce.innerHTML=Ed11y.getText(Ed11y.panelMessage)},1500)):!0===e&&0===Ed11y.totalCount&&(t="pass"),"show"!==t?(Ed11y.reset(),Ed11y.bodyStyle||Ed11y.paintReady()):(Ed11y.panel.classList.remove("shut"),Ed11y.panel.classList.add("active"),Ed11y.panelToggle.setAttribute("aria-expanded","true"),window.setTimeout(function(){document.dispatchEvent(new CustomEvent("ed11yPanelOpened")),Ed11y.ignoreAll||Ed11y.showResults()},0),!1===e&&window.setTimeout(function(){Ed11y.panelMessage.focus()},500)),Ed11y.panelToggle.classList.remove("disabled"),Ed11y.panelToggle.removeAttribute("aria-disabled"),Ed11y.running=!1},Ed11y.result=function(e,t){let i=document.createElement("ed11y-element-result"),n=e[0].closest("a"),s="beforebegin";n||(n=e[0],s=e[3]),i.setAttribute("id","ed11y-result-"+t),i.setAttribute("data-ed11y-result",t),i.setAttribute("data-ed11y-open","false"),n.insertAdjacentElement(s,i)},Ed11y.reset=function(){Ed11y.resetClass(["ed11y-ring-red","ed11y-ring-yellow","ed11y-hidden-highlight"]),Ed11y.findElements("reset","ed11y-element-result, ed11y-element-tip, .ed11y-element-heading-label, .ed11y-element-alt, ed11y-element-heading-label, ed11y-element-alt",!1),Ed11y.elements.reset.forEach(e=>e.remove()),Ed11y.panelJumpNext?.setAttribute("data-ed11y-goto","0"),Ed11y.panelJumpPrev?.setAttribute("data-ed11y-goto","0"),Ed11y.panel?.classList.add("shut"),Ed11y.panel?.classList.remove("active"),Ed11y.panelToggle?.setAttribute("aria-expanded","false"),Ed11y.running=!1},Ed11y.linkText=e=>e=(e=e.replace(Ed11y.options.linkIgnoreStrings,"")).replace(/'|"|-|\.|\s+/g,""),Ed11y.computeAriaLabel=function(e,t=!1){var i=e.hasAttribute("aria-label"),n=e.hasAttribute("aria-labelledby");if(!t){if(n){let t=e.getAttribute("aria-labelledby"),i="";if(0<t.length){t=(t="#"+t).replace(/ /g,", #");let e=document.querySelectorAll(t);e?.forEach(e=>{i+=Ed11y.computeAriaLabel(e,!0)+" "})}return i}if(!i)return"noAria"}return i?e.getAttribute("aria-label"):t?Ed11y.getText(e):void 0},Ed11y.computeTitle=function(e){return e.hasAttribute("title")?e.getAttribute("title"):e.querySelector("[title]")?e.querySelector("[title]").getAttribute("title"):""},Ed11y.findElements=function(t,n,e=!0){let i=Ed11y.options.shadowComponents?", "+Ed11y.options.shadowComponents:"",s="";if(s=Ed11y.options.ignoreElements?Ed11y.options.ignoreByKey[t]?`:not(${Ed11y.options.ignoreElements}, ${Ed11y.options.ignoreByKey[t]})`:`:not(${Ed11y.options.ignoreElements})`:Ed11y.options.ignoreByKey[t]?`:not(${Ed11y.options.ignoreByKey[t]})`:"",Ed11y.elements[t]=[],e?Ed11y.roots.forEach(e=>{Ed11y.elements[t]=Ed11y.elements[t].concat(Array.from(e.querySelectorAll(`:is(${n}${i})`+s)))}):Ed11y.elements[t]=Ed11y.elements[t].concat(Array.from(document.querySelectorAll(`:is(${n}${i})`+s))),Ed11y.options.shadowComponents){let i=[];if(Ed11y.elements[t].forEach((e,t)=>{e.matches(Ed11y.options.shadowComponents)&&(i[t]=e.shadowRoot.querySelectorAll(`:is(${n})`+s))}),0<i.length)for(let e=i.length-1;0<=e;e--)i[e]&&Ed11y.elements[t].splice(e,1,...i[e])}},Ed11y.buildElementList=function(){Ed11y.findElements("p","p"),Ed11y.findElements("h",'h1, h2, h3, h4, h5, h6, [role="heading"][aria-level]',!1),Ed11y.findElements("img","img"),Ed11y.findElements("a","a[href]"),Ed11y.findElements("li","li"),Ed11y.findElements("blockquote","blockquote"),Ed11y.findElements("iframe","iframe"),Ed11y.findElements("audio","audio"),Ed11y.findElements("video","video"),Ed11y.findElements("table","table"),Ed11y.options.embeddedContent&&Ed11y.findElements("embed",Ed11y.options.embeddedContent)},Ed11y.dismissalKey=function(e){return String(e).substring(0,512)},Ed11y.dismissThis=function(e){let t=Ed11y.getOpenTip();var i=t.dataset.ed11yResult,n=Ed11y.results[i][1],i=Ed11y.dismissalKey(Ed11y.results[i][4]);Ed11y.resetClass(["ed11y-hidden-highlight","ed11y-ring-red","ed11y-ring-yellow"]),t.parentNode.removeChild(t);let s=Ed11y.elements.openButton[0],a=(s.parentNode.removeChild(s),{});if(a[i]=e,void 0===Ed11y.dismissedAlerts[Ed11y.options.currentPage]){let e={};e[n]=a,Ed11y.dismissedAlerts[Ed11y.options.currentPage]=e}else void 0===Ed11y.dismissedAlerts[Ed11y.options.currentPage][n]?Ed11y.dismissedAlerts[Ed11y.options.currentPage][n]=a:Ed11y.dismissedAlerts[Ed11y.options.currentPage][n][i]=e;!1===Ed11y.options.syncedDismissals?localStorage.setItem("ed11ydismissed",JSON.stringify(Ed11y.dismissedAlerts)):(n={dismissPage:Ed11y.options.currentPage,dismissTest:n,dismissKey:i,dismissAction:e},i=new CustomEvent("ed11yDismissalUpdate",{detail:n}),document.dispatchEvent(i)),Ed11y.reset(),Ed11y.checkAll(!1,"show");let o=Ed11y.goto;window.setTimeout(function(){Ed11y.buildJumpList(),0<Ed11y.elements.jumpList.length?(Ed11y.goto=o-1,Ed11y.setCurrentJump(),Ed11y.panelJumpNext.focus()):window.setTimeout(function(){let e=Ed11y.panel.querySelector("#issues-tab");e.focus()},100)},500,o)},Ed11y.clearDismissals=function(){var e;Ed11y.ignoreAll=!1,!(Ed11y.dismissedAlerts[Ed11y.options.currentPage]={})===Ed11y.options.syncedDismissals?localStorage.setItem("ed11ydismissed",JSON.stringify(Ed11y.dismissedAlerts)):(e={dismissPage:Ed11y.options.currentPage,dismissAction:"reset"},e=new CustomEvent("ed11yDismissalUpdate",{detail:e}),document.dispatchEvent(e)),Ed11y.restoreDismissed.setAttribute("hidden",""),Ed11y.reset(),Ed11y.checkAll(!1,"show")},Ed11y.dismissHelp=function(e){let t=document.createElement("ul");if(t.setAttribute("tabindex","-1"),t.classList.add("help"),Ed11y.options.allowHide){let e=document.createElement("li");e.textContent=Ed11y.M.elementDismissalHelpHide,t.append(e)}if(Ed11y.options.allowOK){let e=document.createElement("li");e.textContent=Ed11y.M.elementDismissalHelpOK,t.append(e)}let i=document.createElement("li");i.textContent=Ed11y.M.elementDismissalHelpAll,t.append(i),e.parentElement.append(t),t.focus(),e.remove()},Ed11y.showResults=function(){Ed11y.results?.forEach(function(e,t){Ed11y.results[t][5]||Ed11y.result(e,t)}),Ed11y.buildJumpList(),document.dispatchEvent(new CustomEvent("ed11yPanelOpened")),Ed11y.alignButtons()},Ed11y.alignButtons=function(){window.setTimeout(function(){let i=window.innerWidth,n=[];Ed11y.elements.jumpList.forEach(e=>{e.hasAttribute("style")&&e.removeAttribute("style");var t=e.getBoundingClientRect();t.left<8?n.push([e,8-t.left]):t.left+80>i&&n.push([e,i-t.left-80])}),n.forEach(e=>{e[0].style.transform="translate("+e[1]+"px, 0)"}),Ed11y.bodyStyle||Ed11y.paintReady()},0)},Ed11y.paintReady=function(){let i=`ed11y-element-result, ed11y-element-panel {
              opacity: 1; 
              outline: 0 !important;
            }
            ed11y-element-result + ed11y-element-result {
              margin-top: 34px;
            }
            .ed11y-hidden-highlight {
              box-shadow: inset 0 0 0 1px ${Ed11y.color.warning}, inset 0 0 0 2px ${Ed11y.color.primary}, 0 0 0 1px ${Ed11y.color.warning}, 0 0 0 3px ${Ed11y.color.primary}, 0 0 1px 3px !important;
            }
            .ed11y-ring-red {
              box-shadow: 0 0 0 1px #fff, inset 0 0 0 2px ${Ed11y.color.alert}, 0 0 0 3px ${Ed11y.color.alert}, 0 0 1px 3px;
              outline: 2px solid ${Ed11y.color.alert};
              outline-offset: 1px;
            }
            .ed11y-ring-yellow {
              box-shadow: 0 0 0 1px #fff, inset 0 0 0 2px ${Ed11y.color.warning}, 0 0 0 3px ${Ed11y.color.warning}, 0 0 1px 3px;
              outline: 2px solid ${Ed11y.color.warning};
              outline-offset: 1px;
            }
            `;Ed11y.roots.forEach(e=>{let t=document.createElement("style");t.textContent=i,e.appendChild(t),Ed11y.options.shadowComponents&&e.querySelectorAll(Ed11y.options.shadowComponents).forEach(e=>{let t=document.createElement("style");t.textContent=i,e.shadowRoot.appendChild(t)})}),Ed11y.roots.forEach(e=>{var t=document.createElement("style");e.appendChild(t)}),Ed11y.bodyStyle=!0},Ed11y.scrollTo=function(e){e=e.getBoundingClientRect().top;e<.25*window.innerHeight?window.scrollBy(0,e-.25*window.innerHeight):e>.75*window.innerHeight&&window.scrollBy(0,e-.75*window.innerHeight)},Ed11y.alignTip=function(t,e,i=0){let n=e.shadowRoot.querySelector(".arrow"),s=n.nextElementSibling,a=i+1;i<3&&0<Ed11y.options.hiddenHandlers.length&&t.getRootNode().host.closest(Ed11y.options.hiddenHandlers)&&window.setTimeout(function(){Ed11y.alignTip(t,e,a)},150,a),s.setAttribute("style",""),n.setAttribute("style","");i=window.scrollY;let o=t.getBoundingClientRect();if(0===o.top&&0===o.left){let e=Ed11y.firstVisibleParent(t.getRootNode().host);e&&(o=e.getBoundingClientRect())}var l=o.left+document.body.scrollLeft,d=(e.style.setProperty("top",o.top+i+"px"),e.style.setProperty("left",o.left+"px"),s.offsetWidth),r=s.offsetHeight,p=window.innerWidth,c=i+window.innerHeight;let u="under",y=(o.top+r+i+50>c&&(0<p-(l+d+90)&&o.top+40<window.innerHeight?u="right":o.top>r+15?u="above":0<l-d-50?u="left":o.bottom+r>document.documentElement.clientHeight-50&&(u="above")),0),h=0;"under"===u?(4*d/5+o.left+20>p||o.left-20-d/5<0?d-15>o.left?(y=15-o.left,n.style.setProperty("left",Math.max(o.left,15)-9+"px")):(n.style.setProperty("left",d-26+"px"),y=31-d):(y=40-d/5,n.style.setProperty("left",d/5-34+"px")),n.dataset.direction="under",h=50):"above"===u?(h=-1*(r+18),n.style.setProperty("top",r),4*d/5+o.left+20>p||o.left-20-d/5<0?d-15>o.left?(y=15-o.left,n.style.setProperty("left",o.left-9+"px")):(n.style.setProperty("left",d-26+"px"),y=31-d):(y=40-d/5,n.style.setProperty("left",d/5-34+"px")),n.dataset.direction="above",n.style.setProperty("top",r+18+"px")):(c<(l=o.top+i+r)&&(p=-1*(h=c-(l+10))+7,p=Math.min(p,r-25),n.style.setProperty("top",p+"px")),"left"===u?(y=0-(d+17),n.style.setProperty("left",d-9+"px"),n.dataset.direction="left"):(y=50,n.dataset.direction="right")),e.style.setProperty("transform",`translate(${y}px, ${h}px)`)},Ed11y.baseCSS=`
      :host{all: initial;} 
      .hidden{display:none;}
      .wrapper{font-size:14px;line-height: 1.5;font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;}
      `,Ed11y.clickTab=function(e){Ed11y.activateTab(e.target,!1)},Ed11y.togglePanel=function(){return Ed11y.doubleClickPrevent||(Ed11y.panel.classList.contains("active")&&Ed11y.panel.classList.contains("shut")?Ed11y.minimize():!0!==Ed11y.running&&(!(Ed11y.running=!0)===Ed11y.panel.classList.contains("active")?Ed11y.checkAll(!1,"show"):Ed11y.reset())),Ed11y.doubleClickPrevent=!0,window.setTimeout(function(){Ed11y.doubleClickPrevent=!1},200),!1},Ed11y.showHeadingsPanel=function(){let l=Ed11y.panel.querySelector("#outline");Ed11y.headingOutline.length?(l.innerHTML="",Ed11y.headingOutline.forEach((e,t)=>{let i=document.createElement("ed11y-element-heading-label");i.dataset.ed11yHeadingOutline=t,e[0].insertAdjacentElement("afterbegin",i);var t=e[1],n=10*t-10;let s=document.createElement("li");s.classList.add("level"+t);var a=e[2]&&!e[5]?e[2]:"";a&&s.classList.add("has-issues"),s.style.setProperty("margin-left",n+"px"),s.innerHTML=`<strong>H${t}:</strong> `+a;let o=document.createElement("span");o.textContent=e[0].textContent,s.append(o),l.append(s)})):l.innerHTML="<p><em>No heading structure found.</em></p>"},Ed11y.switchPanel=function(e){switch(Ed11y.panel.querySelector(".content > div:not(.hidden)")?.classList.add("hidden"),Ed11y.panel.querySelector("[aria-selected=true]")?.setAttribute("aria-selected","false"),Ed11y.panel.querySelector("#"+e).setAttribute("aria-selected","true"),Ed11y.panel.querySelector("#"+e+"-tab")?.classList.remove("hidden"),Ed11y.findElements("reset","ed11y-element-heading-label, ed11y-element-alt"),Ed11y.elements.reset?.forEach(e=>{e.remove()}),e){case"alts":Ed11y.showAltPanel();break;case"headings":Ed11y.showHeadingsPanel();break;case"help":Ed11y.showHelpPanel()}},Ed11y.alignAlts=function(){Ed11y.findElements("altMark","ed11y-element-alt"),Ed11y.elements.altMark?.forEach(e=>{var t=e.dataset.ed11yImg;e.setAttribute("style","");let i=Ed11y.imageAlts[t][0];"IMG"!==i.tagName&&(i=i.querySelector("img"));t=e.getClientRects(),t=i.getClientRects().left-t.left;let n=getComputedStyle(i).height;n="auto"===n?i.offsetHeight:Math.max(i.offsetHeight,parseInt(n)),e.setAttribute("style",`transform: translate(${t}px, 0px); height: ${n}px; width: ${i.offsetWidth}px;`)})},Ed11y.showAltPanel=function(){let o=Ed11y.panel.querySelector("#alt-list");Ed11y.imageAlts.length?(o.innerHTML="",Ed11y.imageAlts.forEach((e,t)=>{let i=document.createElement("ed11y-element-alt"),n=(i.dataset.ed11yImg=t,e[0].insertAdjacentElement("beforebegin",i),document.createElement("span")),s=(n.textContent=e[2],document.createElement("li")),a=(s.classList.add(e[3]),document.createElement("img"));a.setAttribute("src",e[1]),a.setAttribute("alt",""),s.append(a),s.append(n),o.append(s)}),Ed11y.alignAlts()):o.innerHTML="<p><em>No images found.</em></p>"},Ed11y.showHelpPanel=function(){let e=Ed11y.panel.querySelector("#help-tab");e.innerHTML=Ed11y.M.panelHelp},Ed11y.buildJumpList=function(){Ed11y.findElements("jumpList","ed11y-element-result",!1),Ed11y.elements.jumpList.forEach((e,t)=>{e.dataset.ed11yJumpPosition=t})},Ed11y.setCurrentJump=function(){var e=Ed11y.elements.jumpList.length-1;let t=0,i=(1<Ed11y.totalCount&&Ed11y.panelJumpPrev.removeAttribute("hidden"),Ed11y.goto==e||Ed11y.goto>e?(t=0,Ed11y.nextText=Ed11y.M.buttonFirstContent):(t=parseInt(Ed11y.goto)+1,Ed11y.nextText=Ed11y.M.buttonNextContent),t-2);i<0&&(i=1+e+i),Ed11y.panelJumpNext.dataset.ed11yGoto=t,Ed11y.panelJumpPrev.dataset.ed11yGoto=i,window.setTimeout(function(){Ed11y.panelJumpNext.querySelector(".jump-next").textContent=Ed11y.nextText},250)},Ed11y.minimize=function(){var e="true"===Ed11y.panel.classList.contains("shut");Ed11y.panel.classList.toggle("shut"),!1==e&&window.setTimeout(function(){Ed11y.panelToggle.focus()},500)},Ed11y.windowResize=function(){!0===Ed11y.panel?.classList.contains("active")&&(Ed11y.alignAlts(),Ed11y.alignButtons());var e=Ed11y.getOpenTip();e&&Ed11y.alignTip(Ed11y.elements.openButton[0].shadowRoot.querySelector("button"),e)},Ed11y.escapeWatch=function(e){27===e.keyCode&&(e.target.closest("ed11y-element-panel")&&"true"===Ed11y.panelToggle.getAttribute("aria-expanded")?(Ed11y.panelToggle.focus(),Ed11y.panelToggle.click()):e.target.hasAttribute("data-ed11y-open")&&Ed11y.getOpenTip()&&(Ed11y.toggledFrom.focus(),Ed11y.elements.openButton[0].shadowRoot.querySelector("button").click()))},document.addEventListener("keyup",function(e){Ed11y.escapeWatch(e)}),Ed11y.activateTab=function(e,t){t=t||!0,Ed11y.deactivateTabs(),e.setAttribute("tabindex","0"),e.setAttribute("aria-selected","true");var i=e.getAttribute("aria-controls");Ed11y.panel.querySelector("#"+i).classList.remove("hidden"),t&&e.focus()},Ed11y.deactivateTabs=function(){Ed11y.panelTabs.forEach(e=>{e.setAttribute("tabindex","-1"),e.setAttribute("aria-selected","false")}),Ed11y.panel.querySelectorAll('[role="tabpanel"]').forEach(e=>{e.classList.add("hidden")})},Ed11y.parents=function(e){let t=[];for(t.push(e);e&&e.parentElement&&"HTML"!==e.parentElement.tagName;)t.push(e.parentElement),e=e.parentElement;return t},Ed11y.siblings=function(t){return null===t.parentNode?[]:Array.prototype.filter.call(t.parentNode.children,function(e){return e!==t})},Ed11y.nextUntil=function(e,t){let i=e.nextElementSibling;if(i){if(i.matches(t))return i;i=Ed11y.nextUntil(i,t)}return i},Ed11y.getText=function(e){return e.textContent.replace(/[\n\r]+|[\s]{2,}/g," ").trim()},Ed11y.resetClass=function(e){e?.forEach(e=>{let t=e;Ed11y.findElements("reset","."+t),Ed11y.elements.reset?.forEach(e=>{e.classList.remove(t)})})},Ed11y.keyboardClick=function(e){switch(e.preventDefault(),e.keyCode){case 13:case 32:e.target.click()}},Ed11y.visibleElement=function(t){if(t){let e=window.getComputedStyle(t);return t.classList.contains("ed11y-ring-red")||t.classList.contains("ed11y-ring-yellow")?"none"!==e.getPropertyValue("display")&&"hidden"!==e.getPropertyValue("visibility")&&"0"!==e.getPropertyValue("opacity")&&!t.hasAttribute("hidden"):"none"!==e.getPropertyValue("display")&&"hidden"!==e.getPropertyValue("visibility")&&"0"!==e.getPropertyValue("opacity")&&0!==t.offsetWidth&&0!==t.offsetHeight&&!t.hasAttribute("hidden")}},Ed11y.visible=function(t){if(Ed11y.visibleElement(t)){let e=Ed11y.parents(t);return e.every(e=>Ed11y.visibleElement(e))}return!1},Ed11y.firstVisibleParent=function(e){let t=e.parentElement;return!!t&&(Ed11y.visibleElement(t)?t:t=Ed11y.firstVisibleParent(t))},Ed11y.parentLink=function(e){return e.closest("a[href]")},Ed11y.getOpenTip=function(){return Ed11y.findElements("openButton",'ed11y-element-result[data-ed11y-open="true"]'),document.querySelector('ed11y-element-tip[data-ed11y-open="true"]')},Ed11y.focusActiveResult=function(){Ed11y.getOpenTip(),window.setTimeout(function(){Ed11y.elements.openButton[0]?.shadowRoot.querySelector("button").focus()},0)},Ed11y.srcMatchesOptions=function(n,s){if(0<s.length&&0<n?.length){let e=s.split(/\s*[\s,]\s*/).map(e=>"[src*='"+e+"']"),t=e.join(", "),i=Array.from(n);return i.filter(e=>e.matches(t))}return""},Ed11y.sanitizeForHTML=function(e){let t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;","`":"&#x60;","=":"&#x3D;"};return String(e).replace(/[&<>"'`=/]/g,function(e){return t[e]})},Ed11y.builder=function(e,t,i,n,s){let a=document.createElement(e);return t&&a.setAttribute("id",t),i&&("string"==typeof i?a.classList.add(i):i.forEach(e=>{a.classList.add(e)})),"object"==typeof n&&Object.entries(n).forEach(([e,t])=>{a.setAttribute(e,t)}),s&&(a.textContent=s),a},Ed11y.fnIgnore=(e,t)=>{const i=e.cloneNode(!0),n=Array.from(t?i.querySelectorAll(t):i.children);return n.forEach(e=>{e.parentElement.removeChild(e)}),i},CSS.supports("selector(:is(body))")?Ed11y.initialize():console.warn(Ed11y.M.consoleNotSupported)}}